/*
 * usbjmptb.h : constants for USB Jump Table
 *   by uratan! 2008.9.30
 */
#ifndef __USBJMPTB_H__
#define __USBJMPTB_H__

/*
 * index for USB_Jump_Table[]
 */
#define USB_JT_RESET    0
#define USB_JT_SUSPEND  1
#define USB_JT_RESUME   2
#define USB_JT_POWER    3
#define USB_JT_SOF      4
#define USB_N_JT       5

/*
 * LPC2148 has 32 Endpoints in total
 *   (for USB_Jump_Table_EP[])
 */
#define USB_N_EP     32


#endif  /* __USBJMPTB_H__ */
